org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ValueBase.ValueWithLazyVariables

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase
              - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase.ValueWithLazyVariables

Direct Known Subclasses:
  Value

Enclosing class:
  ValueBase

    public abstract static class ValueBase.ValueWithLazyVariables
    extends ValueBase

A base implementation of Value that lazily calculates its inner variables.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`ValueBase.ErrorMessageValue, ValueBase.ValueWithLazyVariables`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
`protected` `ValueWithLazyVariables(EvaluateContext evaluateContext)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract IVariable[]` `calculateVariables()`
`IVariable[]` `getVariables()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`asRealValue, cast, getValueString`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueWithLazyVariables

    protected ValueWithLazyVariables(EvaluateContext evaluateContext)

### Method Detail

#### getVariables

    public IVariable[] getVariables()
                             throws DebugException

Throws:
  `DebugException`

#### calculateVariables

    protected abstract IVariable[] calculateVariables()